-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date, ,>
-- Description:	<Description, ,>
-- =============================================
CREATE FUNCTION [C6MartPeriodico].[CreaPositionIDCS]
(
	@TipoProdotto VARCHAR(5)='',
	@CodInterno VARCHAR(13)='', 
	@CodMAF VARCHAR(13)='', 
	@CodSottoprodotto VARCHAR(13)='',
	@CodiceContratto VARCHAR(11)='',
	@NumeroPolizza VARCHAR(11)= '', 
	@Conto VARCHAR(12)= '',
	@Rubricato VARCHAR(4)='',
	@CustodiaGaranzia VARCHAR(1)='',
	@Termid VARCHAR(8)='', 
	@Anno DECIMAL(3)=0, 
	@Prog DECIMAL(9)=0
)
RETURNS VARCHAR(129)
AS
BEGIN
	-- Declare the return variable here
	DECLARE @ResultVar VARCHAR(129)
	-- Add the T-SQL statements to compute the return value here
	SET @ResultVar =
	CASE
		WHEN @TipoProdotto = 'CC' THEN ''
		ELSE C6StagingPeriodico.Info_DaProdottoCSaCatalogo(
				@TipoProdotto,
				@CodInterno,
				@CodMAF,
				'',
				@CodSottoProdotto
			)
	END
	+
	dbo.Crea_PositionID(
		@TipoProdotto,
		@CodInterno,
		@CodMAF,
		'',
		@CodSottoProdotto,
		@CodiceContratto,
		@NumeroPolizza,
		@Conto,
		@Rubricato,
		@CustodiaGaranzia,
		@Termid,
		@Anno,
		@Prog
	)
	-- Return the result of the function
	RETURN @ResultVar
END